curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"url":"https://www.tiktok.com/@mrbeast","num_of_posts":10,"start_date":"01-01-2025","end_date":"03-01-2025"}],"limit_per_input":null}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lu702nij2f790tmv9h¬ify=false&include_errors=true&type=discover_new&discover_by=profile_url"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_lu702nij2f790tmv9h",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "profile_url",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [
{
"url": "https://www.tiktok.com/@mrbeast",
"num_of_posts": 10,
"start_date": "01-01-2025",
"end_date": "03-01-2025",
},
],
"limit_per_input": None,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_lu702nij2f790tmv9h",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "profile_url",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [
{
url: "https://www.tiktok.com/@mrbeast",
num_of_posts: 10,
start_date: "01-01-2025",
end_date: "03-01-2025",
},
],
limit_per_input: null,
}),
});
console.log(await response.text());
[
{
"post_id": "7553300000000000000",
"description": "You won't believe what happened next #challenge",
"create_time": "2025-01-20T18:00:00.000Z",
"share_count": 120000,
"collect_count": 45000,
"comment_count": 32000,
"play_count": 85000000,
"video_duration": 120,
"hashtags": [
"#challenge"
],
"video_url": "https://v16-webapp-prime.tiktok.com/video/example.mp4",
"profile_username": "examplecreator",
"profile_url": "https://www.tiktok.com/@examplecreator",
"is_verified": true
}
]
TikTok
Discover TikTok posts by profile URL
Discover TikTok posts from a profile by profile URL with the Bright Data Scraper API. Send POST /datasets/v3/scrape with dataset_id gd_lu702nij2f790tmv9h.
POST
/
datasets
/
v3
/
scrape
curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"url":"https://www.tiktok.com/@mrbeast","num_of_posts":10,"start_date":"01-01-2025","end_date":"03-01-2025"}],"limit_per_input":null}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lu702nij2f790tmv9h¬ify=false&include_errors=true&type=discover_new&discover_by=profile_url"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_lu702nij2f790tmv9h",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "profile_url",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [
{
"url": "https://www.tiktok.com/@mrbeast",
"num_of_posts": 10,
"start_date": "01-01-2025",
"end_date": "03-01-2025",
},
],
"limit_per_input": None,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_lu702nij2f790tmv9h",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "profile_url",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [
{
url: "https://www.tiktok.com/@mrbeast",
num_of_posts: 10,
start_date: "01-01-2025",
end_date: "03-01-2025",
},
],
limit_per_input: null,
}),
});
console.log(await response.text());
[
{
"post_id": "7553300000000000000",
"description": "You won't believe what happened next #challenge",
"create_time": "2025-01-20T18:00:00.000Z",
"share_count": 120000,
"collect_count": 45000,
"comment_count": 32000,
"play_count": 85000000,
"video_duration": 120,
"hashtags": [
"#challenge"
],
"video_url": "https://v16-webapp-prime.tiktok.com/video/example.mp4",
"profile_username": "examplecreator",
"profile_url": "https://www.tiktok.com/@examplecreator",
"is_verified": true
}
]
Query Parameters
The dataset ID used for this request.
Must be set to
gd_lu702nij2f790tmv9h to collect Discover by Profile URL data.Request Body
curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"url":"https://www.tiktok.com/@mrbeast","num_of_posts":10,"start_date":"01-01-2025","end_date":"03-01-2025"}],"limit_per_input":null}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lu702nij2f790tmv9h¬ify=false&include_errors=true&type=discover_new&discover_by=profile_url"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_lu702nij2f790tmv9h",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "profile_url",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [
{
"url": "https://www.tiktok.com/@mrbeast",
"num_of_posts": 10,
"start_date": "01-01-2025",
"end_date": "03-01-2025",
},
],
"limit_per_input": None,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_lu702nij2f790tmv9h",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "profile_url",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [
{
url: "https://www.tiktok.com/@mrbeast",
num_of_posts: 10,
start_date: "01-01-2025",
end_date: "03-01-2025",
},
],
limit_per_input: null,
}),
});
console.log(await response.text());
[
{
"post_id": "7553300000000000000",
"description": "You won't believe what happened next #challenge",
"create_time": "2025-01-20T18:00:00.000Z",
"share_count": 120000,
"collect_count": 45000,
"comment_count": 32000,
"play_count": 85000000,
"video_duration": 120,
"hashtags": [
"#challenge"
],
"video_url": "https://v16-webapp-prime.tiktok.com/video/example.mp4",
"profile_username": "examplecreator",
"profile_url": "https://www.tiktok.com/@examplecreator",
"is_verified": true
}
]
Was this page helpful?